Package be.fgov.ehealth.errors.soa.v1

# Class SOAErrorType

java.lang.Object
be.fgov.ehealth.errors.core.v1.ErrorType
be.fgov.ehealth.errors.soa.v1.SOAErrorType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BusinessError`, `SystemError`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class SOAErrorType extends ErrorType implements Serializable
Common Type for ConsumerErrors.

Java class for SOAErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SOAErrorType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:errors:core:v1}ErrorType">
           <sequence>
             <element name="Environment" type="{urn:be:fgov:ehealth:errors:soa:v1}EnvironmentType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SOAErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnvironmentType`
  `getEnvironment()`
  Gets the value of the environment property.
  `void`
  `setEnvironment(EnvironmentType value)`
  Sets the value of the environment property.

  ### Methods inherited from class be.fgov.ehealth.errors.core.v1.ErrorType

  `getCode, getContact, getId, getMessages, getOrigin, isRetry, setCode, setContact, setId, setOrigin, setRetry`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SOAErrorType

    public SOAErrorType()

- ## Method Details

  - ### getEnvironment

    public EnvironmentType getEnvironment()
    Gets the value of the environment property.
    Returns:
      possible object is `EnvironmentType`

  - ### setEnvironment

    public void setEnvironment(EnvironmentType value)
    Sets the value of the environment property.
    Parameters:
      `value` - allowed object is `EnvironmentType`